BlitzReels
BlitzReelsDocumentation
API Reference
GET
/carousels/{projectId}

Return the compile slot document and named template catalog for a carousel project.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/carousels/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "project_id": "405d8375-3514-403b-8c43-83ae74cfe0e9",  "revision": 0,  "name": "string",  "platform": "tiktok_photo",  "locale": "string",  "frame": {    "width": -9007199254740991,    "height": -9007199254740991,    "aspect_ratio": "string"  },  "style": {    "chip": {      "font_family": "string",      "font_weight": 100,      "font_size": 12,      "color": "string",      "background": "string",      "padding_x": 0,      "padding_y": 0,      "radius": 0,      "max_lines_per_chip": 1    }  },  "slides": [    {      "index": 0,      "role": "hook",      "lines": [        "string"      ],      "slots": {        "property1": "string",        "property2": "string"      },      "layout": "chip_stack_ui",      "visual": {        "kind": "media_asset",        "media_asset_id": "f83c59c2-d228-4515-88d6-11fa95820958",        "prompt": "string",        "model_id": "string",        "color": "string",        "colors": [          "string"        ],        "html": "stringstringstringst",        "template_id": "string",        "source_media_asset_id": "5240566c-fc11-48cd-914c-2c29efc4492b"      },      "photo_url": "string",      "slot_urls": {        "property1": "string",        "property2": "string"      }    }  ],  "templates": [    {      "id": "string",      "label": "string",      "family": "photo",      "slots": [        {          "key": "string",          "label": "string"        }      ]    }  ],  "kit": {    "themes": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "scope": "project",        "fontFamily": "",        "titleColor": "string",        "bodyColor": "string",        "background": "",        "pageColor": "",        "overlayEnabled": true,        "overlayOpacity": 0,        "logoAssetId": "9532b3f0-a40b-4a80-be29-1f7c387fff64"      }    ],    "templates": [      {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "name": "string",        "scope": "project",        "template_id": "string",        "slots": {          "property1": "string",          "property2": "string"        }      }    ],    "active_theme_id": "91f9749c-4d75-41c5-bc90-59cccf57554c"  },  "can_undo": true,  "warnings": [    {      "code": "string",      "message": "string",      "field": "string",      "repair": "string"    }  ],  "next_actions": [    {      "method": "GET",      "path": "string",      "reason": "string"    }  ]}